!----------------------------------------------------------------------
! A variety of routines that need to be implementation specific
!----------------------------------------------------------------------

!----------------------------------------------------------------------
! Reading and writing very large 2-dim arrays (with unformatted i/o) causes
! problems on certain systems -- so provide routines which split up
! the reading and writing if that is necessary
! Splitting not required for dec.
!----------------------------------------------------------------------
subroutine lcl_write_2d(idev, array)
      implicit none
      integer, intent(in) :: idev
      real,    intent(in) :: array(1:, 1:)
      !------------------------------------------------------------

      write(idev) array(:,:)
end subroutine lcl_write_2d


subroutine lcl_read_2d(idev, array)
      implicit none
      integer, intent(in)  :: idev
      real,    intent(out) :: array(1:, 1:)
      !------------------------------------------------------------

      read(idev) array(:,:)
end subroutine lcl_read_2d



!----------------------------------------------------------------------
! Interfaces to the dec f90 iargc and getarg routines
!
! GPS 4/11/95 (CCN8 9)
!----------------------------------------------------------------------
integer function lcl_iargc()
      implicit none
      integer iargc

      lcl_iargc = iargc()
end function lcl_iargc

subroutine lcl_getarg(k, argk)
      implicit none
      integer,      intent(in)  :: k
      character(*), intent(out) :: argk

      call getarg(k, argk)
end subroutine lcl_getarg

subroutine lcl_system(string)
      implicit none
      character(*), intent(in) :: string
      !------------------------------------------------------------
      !integer return_val, system

      call  system(string)
end subroutine lcl_system

      
