!********************************************************************** 
! Module containing gluon and dipole defs for the case with dynamic
! allocation of dipoles and gluons
!
! GPS 3/10/95
!**********************************************************************
      module gluons 
         type gluon 
            complex(kind(1d0))    :: psn 
            double precision      :: rapidity 
         end type gluon 
                                                                        
         type dipole 
            type(gluon), pointer  ::  lo_y_gluon, hi_y_gluon 
            double precision      ::  size 
            type(dipole), pointer ::  child_1, child_2 
            ! During evolution with dynamic allocation this stores a number
            ! which is unique for each dipole, and should allow a
            ! particular dipole (given its index) from the tree to be
            ! retrieved in a time propto the depth of the tree (as opposed
            ! to the number of dipoles)
            integer               ::  index, i2
         end type dipole 
                                                                        
         type dpl_pntr 
            type(dipole), pointer  :: p 
         end type dpl_pntr 
                                                       
         ! The limit on the maximum number of gluons in any single
         ! evolution 
         integer, parameter    ::  max_gluons =  600000 
         ! the maximum number of initial onia
         integer, parameter    ::  max_set = 100
         ! Store for the first dipole of each onium
         type(dipole), target  ::  dipole_set(max_set) 

      end module gluons 
                                                    
