!********************************************************************** 
! Module containing defs for dipoles and gluons, with a small, fixed size
! array 
!
! GPS 3/10/95
!**********************************************************************
      module gluons 
         type gluon 
            complex(kind(1d0))     :: psn 
            double precision       :: rapidity 
         end type gluon 
                                                                        
         type dipole 
            type(gluon), pointer   ::  lo_y_gluon,hi_y_gluon 
            double precision       ::  size 
            type(dipole), pointer  ::  child_1,child_2 
            ! During evolution with dynamic allocation this stores a number
            ! which is unique for each dipole, and should allow a
            ! particular dipole (given its index) from the tree to be
            ! retrieved in a time propto the depth of the tree (as opposed
            ! to the number of dipoles)
            integer                ::  index
         end type dipole 
                                                                        
         type dpl_pntr 
            type(dipole), pointer  :: p 
         end type dpl_pntr 
                                                       
	 ! for situations with large y there may occasionally be very 
	 ! large arrays -- in that case use either dynamic evolution or a
         ! larger array size.
         integer, parameter    ::  max_gluons =  5000
         ! array to store the gluons
         type(gluon), target   ::  gluon_set(max_gluons) 
         ! array to store the dipoles
         type(dipole), target  ::  dipole_set(2*max_gluons) 

      end module gluons 
