!======================================================================
! Dummy routine that needs to be here for the prm reading routines to call
! (for consistency with the dynamic allocation case)
!
! GPS 3/10/95 (CCN7 129)
!======================================================================
subroutine nullify_child_set
      implicit none
      
      return
end subroutine nullify_child_set

!********************************************************************** 
!     Put a dipole centered at 0,0 with orientation phi and size dpl_sz 
!                                                                       
! GPS 16/11/94 (CCN3 47)    + 7/11/95                                  
!********************************************************************** 
subroutine init_onium(onium, onm_sz, phi) 
      use gluons 
      use evoln_intrfc
      use cuts
      implicit none 
      type(dipole), pointer         :: onium
      double precision,  intent(in) :: onm_sz, phi
      !-------------------------------------------------------------------

      if (onm_sz < r_cut_lo) then
         write(0,*) "Onia may not be initialised with sizes less than the "
         write(0,*) "lower cutoff (",r_cut_lo,")"
         write(0,*) "STOP"
         stop
      end if

                                                                        
      gluon_set(gluon_n + 1)%psn = cmplx(cos(phi),sin(phi))*onm_sz/2d0 
      gluon_set(gluon_n + 1)%rapidity = 0.0d0 
      gluon_set(gluon_n + 2)%psn = -cmplx(cos(phi),sin(phi))*onm_sz/2d0 
      gluon_set(gluon_n + 2)%rapidity = 0.0d0 
      gluon_n = gluon_n + 2 
                                                                        
      dipole_n = dipole_n + 1 
      dipole_set(dipole_n)%lo_y_gluon => gluon_set(gluon_n - 1) 
      dipole_set(dipole_n)%hi_y_gluon => gluon_set(gluon_n) 
      dipole_set(dipole_n)%size =                                       &
     &                    abs(dipole_set(dipole_n)%lo_y_gluon%psn       &
     &                  - dipole_set(dipole_n)%hi_y_gluon%psn)

      onium => dipole_set(dipole_n)
end subroutine init_onium




